const express = require('express');
const router = express.Router({ mergeParams: true });
const HistoryEntranceController = require('../controllers/history.entrance.controller');
const authenticate = require("../middleware/auth");

router
    .route('/')
    .get(authenticate, HistoryEntranceController.getHistoryEntrance)
    .post(authenticate, HistoryEntranceController.createHistoryEntrance)
    .put(authenticate, HistoryEntranceController.updateHistoryEntrance)
    .delete(authenticate, HistoryEntranceController.deleteHistoryEntrance);

module.exports = router;